Error trying to setup old workspace in 2021.2

Started by TheoTrickser on Sat, 08/28/2021 - 13:43

Topic category: Troubleshooting, bugs, and solutions

Last seen on 17:34, 26. Sep 2021
Joined Feb 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Error trying to setup old workspace in 2021.2
Sat, 08/28/2021 - 13:43

So I've installed the new MCreator version and started setting up all my Workspaces, most of which were created in 2021.1.

However, one of them always fails. I've checked my Internet connection, disabled my VPN and deleted my MCreator cache, but nothing changes. 

All other Workspaces I've tried worked seamlessly, but this one doesn't.

The error is as follows:

 

Executing Gradle task: eclipse
Build info: MCreator 2021.2.35315, forge-1.16.5, 64-bit, 8122 MB, Windows 10, JVM 11.0.11, JAVA_HOME: C:\Program Files\Pylo\MCreator\jdk
FAILURE: Build failed with an exception.
* Where:
Script 'C:\Users\*****\MCreatorWorkspaces\basic_magic\mcreator.gradle' line: 8
* What went wrong:
A problem occurred evaluating script.
> Could not find method compile() for arguments [file collection] on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.
* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
* Get more help at https://help.gradle.org
BUILD FAILED in 7s
BUILD FAILED
Task completed in 7 seconds

I can confirm this bug. It…
Sun, 08/29/2021 - 10:17

I can confirm this bug. It happens if MCreator Link is enabled.

It may be fixed in a patch update or a next release.

UPDATE: We have released a…
Sun, 08/29/2021 - 10:58

UPDATE: We have released a patch update to a bug found in 2021.2 release:

2021.2.36710:

  • Added some more interface translations
  • [Bugfix, FG 1.16.5] Enabling MCreator Link caused Gradle errors

To install the patch, re-download 2021.2 and install it again. Make sure to uninstall the current version first. We will not be rolling update notifications yet as this patch only applies to users using MCreator Link.